petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscPreLoadStage

Start a new segment of code to be timed separately. to get accurate timings

### Synopsis

    #include <petsclog.h>
    void PetscPreLoadStage(char *name);

Not Collective

### Usage

         PetscPreLoadBegin(PETSC_TRUE,"first stage);
           lines of code
           PetscPreLoadStage("second stage");
           lines of code
         PetscPreLoadEnd();

### Notes

only works in C/C++ not fortran

### See Also

PetscLogEventRegister(), PetscLogEventBegin(), PetscLogEventEnd(), PetscPreLoadBegin(), PetscPreLoadEnd()

### Level

intermediate

### Location

src/sys/logging/plog.c

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex27.c.html
src/ksp/ksp/examples/tutorials/ex72.c.html
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages